org.apache.felix.ipojo

## Interface ContextListener

All Known Implementing Classes:
  ContextSourceManager

    public interface ContextListener

Context Source Listener interface. A context source listener is notified when a monitored context property value changed.

Author:
  Felix Project Team

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `update(ContextSource source, java.lang.String property, java.lang.Object value)` A monitored value has been modified.

### Method Detail

#### update

    void update(ContextSource source,
                java.lang.String property,
                java.lang.Object value)

A monitored value has been modified.

Parameters:
  `source` - the context source containing the property
  `property` - the modified property name
  `value` - the new value of the property